Replace multiple credit memos

Update the number of line items in multiple credit memos with one API request. You can also update other details for each credit memo.

You can use the PUT operation to add, remove, or replace the number of line items in a credit memo. A set of rules apply with the PUT operation.

  • When you add a new line item, a new line item id is generated in the credit memo.
  • When you omit an existing line item id, the line item is removed from the credit memo.
Body Params
string
required
length ≥ 1

BILL-generated ID of the credit memo. The value begins with ccr.

string
required
length ≥ 1

BILL-generated ID of the customer. The value begins with 0cu.

string
required
length between 1 and 100

User-generated credit memo number. This value can be in your chosen number scheme.

date
required

Credit memo issued date. This value is in the yyyy-MM-dd format.

string

Credit memo description

string

BILL-generated ID of the SALES_TAX item. The value begins with 0ii. The tax rate is applied to all the credit memo line items set as taxable.

You can set up a SALES_TAX percentage item with POST /v3/classifications/items.

string

BILL-generated ID of the chart of accounts used when the credit memo is applied to an invoice payment. The value begins with 0ca.

string

BILL-generated ID of the bank account used when the credit memo is applied to an invoice payment. The value begins with bac.

Note: You can set only one of payToChartOfAccountId or payToBankAccountId.

classifications
object

General ledger classifications information for the credit memo

creditMemoLineItems
array of objects
required

Credit memo line item information

creditMemoLineItems*
Headers
string | null

API session ID generated with /v3/login

string | null

Developer key generated with your BILL developer account

Responses

Language
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json